#include "AiMoveEnd.h"

void AiMoveEnd::SetState(int stateID, int lr)
{
	AiRecord::SetState(stateID, lr);
	ani.sprite_index = lr == 0 ? L"ai_move_end_l" : L"ai_move_end_r";
}

std::shared_ptr<Entity> CreateAiMoveEnd()
{
	return std::make_shared<AiMoveEnd>();
}
